/* About Us Section Styles */
.about-us-section {
  padding: 60px 0;
  background-color: #ffffff;
}

.about-us-container {
  max-width: 1440px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 5rem;
  align-items: center;
  padding: 0 30px;
}

.about-us-image {
  max-width: 600px;
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
}

.about-us-image img {
  width: 100%;
  max-width: 600px;
}

.about-us-content {
  display: flex;
  flex-direction: column;
  gap: 35px;
}

.about-us-title {
  font-size: 42px;
  line-height: 1.4;
  color: #152c5b;
  max-width: 500px;
  font-weight: 700;
}

.about-us-description {
  font-size: 16px;
  line-height: 1.75;
  color: #124760;
  max-width: 500px;
}
.about-us-features {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.feature-item {
  display: flex;
  gap: 20px;
  align-items: center;
}

.feature-content {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.feature-title {
  font-weight: 700;
  font-size: 16px;
  color: #152c5b;
}

.feature-text {
  font-size: 14px;
  line-height: 1.5;
  color: #919191;
}

/* Mobile Styles */
@media (max-width: 1023px) {
  .about-us-container {
    grid-template-columns: 1fr;
    padding: 0 20px;
    gap: 20px;
  }

  .about-us-image {
    display: none;
  }

  .about-us-content {
    align-items: center;
  }
}

@media (max-width: 768px) {
  .about-us-section {
    padding: 40px 0;
  }

  .about-us-title {
    font-size: 32px;
  }
}
